Github messages for voidlinux
 help / color / mirror / Atom feed
From: ericonr <ericonr@users.noreply.github.com>
To: ml@inbox.vuxu.org
Subject: [PR PATCH] common/build-style: fix do_check for cmake.
Date: Fri, 19 Feb 2021 17:00:04 +0100	[thread overview]
Message-ID: <gh-mailinglist-notifications-41a7ca26-5023-4802-975b-f1789d68868e-void-packages-28884@inbox.vuxu.org> (raw)

[-- Attachment #1: Type: text/plain, Size: 1800 bytes --]

There is a new pull request by ericonr against master on the void-packages repository

https://github.com/ericonr/void-packages cmake
https://github.com/void-linux/void-packages/pull/28884

common/build-style: fix do_check for cmake.
make was accidentally left hardcoded to query if a test target was
available, which meant tests wouldn't be run for most of the
applications, since they were now using ninja.

@Johnnynator 

<!-- Mark items with [x] where applicable -->

#### General
- [ ] This is a new package and it conforms to the [quality requirements](https://github.com/void-linux/void-packages/blob/master/Manual.md#quality-requirements)

#### Have the results of the proposed changes been tested?
- [ ] I use the packages affected by the proposed changes on a regular basis and confirm this PR works for me
- [ ] I generally don't use the affected packages but briefly tested this PR

<!--
If GitHub CI cannot be used to validate the build result (for example, if the
build is likely to take several hours), make sure to
[skip CI](https://github.com/void-linux/void-packages/blob/master/CONTRIBUTING.md#continuous-integration).
When skipping CI, uncomment and fill out the following section.
Note: for builds that are likely to complete in less than 2 hours, it is not
acceptable to skip CI.
-->
<!-- 
#### Does it build and run successfully? 
(Please choose at least one native build and, if supported, at least one cross build. More are better.)
- [ ] I built this PR locally for my native architecture, (ARCH-LIBC)
- [ ] I built this PR locally for these architectures (if supported. mark crossbuilds):
  - [ ] aarch64-musl
  - [ ] armv7l
  - [ ] armv6l-musl
-->


A patch file from https://github.com/void-linux/void-packages/pull/28884.patch is attached

[-- Warning: decoded text below may be mangled, UTF-8 assumed --]
[-- Attachment #2: github-pr-cmake-28884.patch --]
[-- Type: text/x-diff, Size: 1645 bytes --]

From 3fe6392f383463a05531b535107442f66c9814e4 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?=C3=89rico=20Rolim?= <erico.erc@gmail.com>
Date: Fri, 19 Feb 2021 12:56:57 -0300
Subject: [PATCH] common/build-style: fix do_check for cmake.

make was accidentally left hardcoded to query if a test target was
available, which meant tests wouldn't be run for most of the
applications, since they were now using ninja.
---
 common/build-style/cmake.sh | 34 ++++++++++++++++++++++++----------
 1 file changed, 24 insertions(+), 10 deletions(-)

diff --git a/common/build-style/cmake.sh b/common/build-style/cmake.sh
index 26d55f527e3..00ef3ff37e5 100644
--- a/common/build-style/cmake.sh
+++ b/common/build-style/cmake.sh
@@ -79,20 +79,34 @@ do_build() {
 }
 
 do_check() {
+	: ${make_cmd:=ninja}
+
 	cd ${cmake_builddir:=build}
 
-	if [ -z "$make_cmd" ] && [ -z "$make_check_target" ]; then
-		if make -q test 2>/dev/null; then
-			:
-		else
-			if [ $? -eq 2 ]; then
-				msg_warn 'No target to "make test".\n'
-				return 0
-			fi
-		fi
+	if [ -z "$make_check_target" ]; then
+		case $make_cmd in
+			make)
+				if make -q test 2>/dev/null; then
+					:
+				else
+					if [ $? -eq 2 ]; then
+						msg_warn 'No target to "make test".\n'
+						return 0
+					fi
+				fi
+				;;
+			ninja)
+				if ! ninja -t query test >/dev/null 2>&1; then
+					msg_warn 'No target to "ninja test".\n'
+					return 0
+				fi
+				;;
+			*)
+				msg_warn "Can't run tests with '$make_cmd', define do_check.\n"
+				;;
+		esac
 	fi
 
-	: ${make_cmd:=ninja}
 	: ${make_check_target:=test}
 
 	CTEST_OUTPUT_ON_FAILURE=TRUE ${make_cmd} ${make_check_args} ${make_check_target}

             reply	other threads:[~2021-02-19 16:00 UTC|newest]

Thread overview: 2+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2021-02-19 16:00 ericonr [this message]
2021-02-19 17:56 ` [PR PATCH] [Merged]: " Johnnynator

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=gh-mailinglist-notifications-41a7ca26-5023-4802-975b-f1789d68868e-void-packages-28884@inbox.vuxu.org \
    --to=ericonr@users.noreply.github.com \
    --cc=ml@inbox.vuxu.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for NNTP newsgroup(s).